Please backport uwsgi 2.0.7-1ubuntu2 (universe) from vivid

Bug #1427201 reported by fennnec
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
trusty-backports
Undecided
Unassigned

Bug Description

Please backport uwsgi 2.0.7-1ubuntu2 (universe) from vivid to utopic.

Reason for the backport:
========================
uwsgi-2 brings many new features and improvements.
especially dynamic uid/gid and --attach-daemon-2 are noteworthy

Testing:
========
Mark off items in the checklist [X] as you test them, but please leave the checklist so that backporters can quickly evaluate the state of testing.

You can test-build the backport in your PPA with backportpackage:
$ backportpackage -u ppa:<lp username>/<ppa name> -s vivid -d utopic uwsgi

* utopic:
[ ] Package builds without modification
[ ] libapache2-mod-uwsgi installs cleanly and runs
[ ] uwsgi-plugin-rack-ruby2.1 installs cleanly and runs
[ ] libapache2-mod-uwsgi-dbg installs cleanly and runs
[ ] python-uwsgidecorators installs cleanly and runs
[ ] libapache2-mod-proxy-uwsgi-dbg installs cleanly and runs
[ ] uwsgi-plugin-curl-cron installs cleanly and runs
[ ] uwsgi-infrastructure-plugins installs cleanly and runs
[ ] python3-uwsgidecorators installs cleanly and runs
[ ] libapache2-mod-ruwsgi-dbg installs cleanly and runs
[ ] uwsgi-plugin-php installs cleanly and runs
[ ] uwsgi-plugin-rados installs cleanly and runs
[ ] uwsgi-plugin-jwsgi-openjdk-7 installs cleanly and runs
[ ] uwsgi-plugin-greenlet-python installs cleanly and runs
[ ] uwsgi-plugin-v8 installs cleanly and runs
[ ] uwsgi-plugin-geoip installs cleanly and runs
[ ] uwsgi-plugin-xslt installs cleanly and runs
[ ] uwsgi-app-integration-plugins installs cleanly and runs
[ ] uwsgi-plugin-alarm-curl installs cleanly and runs
[ ] uwsgi-plugin-lua5.1 installs cleanly and runs
[ ] uwsgi-plugin-lua5.2 installs cleanly and runs
[ ] uwsgi-plugin-python installs cleanly and runs
[ ] uwsgi installs cleanly and runs
[ ] uwsgi-plugin-emperor-pg installs cleanly and runs
[ ] uwsgi-plugin-graylog2 installs cleanly and runs
[ ] uwsgi-emperor installs cleanly and runs
[ ] uwsgi-plugin-fiber installs cleanly and runs
[ ] uwsgi-plugin-rbthreads installs cleanly and runs
[ ] libapache2-mod-proxy-uwsgi installs cleanly and runs
[ ] libapache2-mod-ruwsgi installs cleanly and runs
[ ] uwsgi-plugin-python3 installs cleanly and runs
[ ] uwsgi-plugin-alarm-xmpp installs cleanly and runs
[ ] uwsgi-plugin-router-access installs cleanly and runs
[ ] uwsgi-core installs cleanly and runs
[ ] uwsgi-extra installs cleanly and runs
[ ] uwsgi-plugin-sqlite3 installs cleanly and runs
[ ] uwsgi-plugins-all installs cleanly and runs
[ ] uwsgi-dbg installs cleanly and runs
[ ] uwsgi-plugin-luajit installs cleanly and runs
[ ] uwsgi-plugin-psgi installs cleanly and runs
[ ] uwsgi-plugin-ldap installs cleanly and runs
[ ] uwsgi-plugin-jvm-openjdk-7 installs cleanly and runs

Reverse dependencies:
=====================
The following reverse-dependencies need to be tested against the new version of uwsgi. For reverse-build-dependencies (-Indep), please test that the package still builds against the new uwsgi. For reverse-dependencies, please test that the version of the package currently in the release still works with the new uwsgi installed. Reverse- Recommends, Suggests, and Enhances don't need to be tested, and are listed for completeness-sake.

libapache2-mod-uwsgi
--------------------
* lava-server
  [ ] utopic (Reverse-Depends)
* apache2.2-common
  [ ] utopic (Reverse-Breaks)

uwsgi-plugin-rack-ruby2.1
-------------------------

libapache2-mod-uwsgi-dbg
------------------------

python-uwsgidecorators
----------------------

libapache2-mod-proxy-uwsgi-dbg
------------------------------

uwsgi-plugin-curl-cron
----------------------

uwsgi-infrastructure-plugins
----------------------------

python3-uwsgidecorators
-----------------------

libapache2-mod-ruwsgi-dbg
-------------------------

uwsgi-plugin-php
----------------

uwsgi-plugin-rados
------------------

uwsgi-plugin-jwsgi-openjdk-7
----------------------------

uwsgi-plugin-greenlet-python
----------------------------

uwsgi-plugin-v8
---------------

uwsgi-plugin-geoip
------------------

uwsgi-plugin-xslt
-----------------

uwsgi-app-integration-plugins
-----------------------------

uwsgi-plugin-alarm-curl
-----------------------

uwsgi-plugin-lua5.1
-------------------

uwsgi-plugin-lua5.2
-------------------

uwsgi-plugin-python
-------------------

uwsgi
-----

uwsgi-plugin-emperor-pg
-----------------------

uwsgi-plugin-graylog2
---------------------

uwsgi-emperor
-------------

uwsgi-plugin-fiber
------------------

uwsgi-plugin-rbthreads
----------------------

libapache2-mod-proxy-uwsgi
--------------------------

libapache2-mod-ruwsgi
---------------------
* apache2.2-common
  [ ] utopic (Reverse-Breaks)

uwsgi-plugin-python3
--------------------

uwsgi-plugin-alarm-xmpp
-----------------------

uwsgi-plugin-router-access
--------------------------

uwsgi-core
----------

uwsgi-extra
-----------

uwsgi-plugin-sqlite3
--------------------

uwsgi-plugins-all
-----------------

uwsgi-dbg
---------

uwsgi-plugin-luajit
-------------------

uwsgi-plugin-psgi
-----------------

uwsgi-plugin-ldap
-----------------

uwsgi-plugin-jvm-openjdk-7
--------------------------

fennnec (e-launccpad-3)
affects: utopic-backports → trusty-backports
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers